org.eclipse.oomph.setup

## Interface Workspace

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    WorkspaceImpl

      public interface Workspace
      extends Scope

  A representation of the model object 'Workspace'.

  The following features are supported:

  - `Streams`
  See Also:
    `SetupPackage.getWorkspace()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Stream>` | `getStreams()` Returns the value of the 'Streams' reference list.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStreams

          EList<Stream> getStreams()

      Returns the value of the 'Streams' reference list. The list contents are of type `Stream`.

      If the meaning of the 'Branches' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Streams' reference list.
      See Also:
        `SetupPackage.getWorkspace_Streams()`
      Generated
      Model
        extendedMetaData="name='stream'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html